libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::Benchmark Class Reference

Simple builtin benchmark. More...

## Public Member Functions
| Benchmark (const CameraManager &cm, const std::string &name)
| Constructs a Benchmark object.
void | startFrame (void)
| Start measuring process time for a single frame.
void | finishFrame (void)
| Finish measuring process time for a single frame.

## Detailed Description

Simple builtin benchmark.

Simple builtin benchmark to measure software ISP processing times.

## Member Function Documentation

## ◆ finishFrame()

void libcamera::Benchmark::finishFrame | ( | void |  | ) |

Finish measuring process time for a single frame.

Call this function after processing frame data to finish measuring the process time for a frame.

This function will log frame processing time information after Benchmark::kLastFrameToMeasure frames have been processed.

## ◆ startFrame()

void libcamera::Benchmark::startFrame | ( | void |  | ) |

Start measuring process time for a single frame.

Call this function before processing frame data to start measuring the process time for a frame.

The documentation for this class was generated from the following files:

- include/libcamera/internal/software_isp/benchmark.h
- src/libcamera/software_isp/benchmark.cpp